## lush 1.0+cvs.2004.05.16

=== Makefile ===
#;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
#;;;
#;;; LUSH Lisp Universal Shell
#;;;   Copyright (C) 2002 Leon Bottou, Yann Le Cun, AT&T Corp, NECI.
#;;; Includes parts of TL3:
#;;;   Copyright (C) 1987-1999 Leon Bottou and Neuristique.
#;;; Includes selected parts of SN3.2:
#;;;   Copyright (C) 1991-2001 AT&T Corp.
#;;;
#;;; This program is free software; you can redistribute it and/or modify
#;;; it under the terms of the GNU General Public License as published by
#;;; the Free Software Foundation; either version 2 of the License, or
#;;; (at your option) any later version.
#;;;
#;;; This program is distributed in the hope that it will be useful,
#;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
#;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#;;; GNU General Public License for more details.
#;;;
#;;; You should have received a copy of the GNU General Public License
#;;; along with this program; if not, write to the Free Software
#;;; Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA
#;;;
#;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

#;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
#;;; $Id: Makefile.in,v 1.28 2003/02/05 00:01:19 profshadoko Exp $
#;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


SHELL = /bin/sh

srcdir = .
top_srcdir = .
top_builddir = .
mybindir = ./bin
mysysdir = ./sys

prefix = /usr
exec_prefix = ${prefix}
bindir = ${exec_prefix}/bin
datadir = ${prefix}/share
libdir = ${exec_prefix}/lib
mandir = /usr/share/man

MV = /bin/mv
M = /bin/rm
LN_S = ln -s
INSTALL = ${top_srcdir}/config/install-sh -c

#;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

SUBDIRS=src

world: all ${mybindir}/lush ${mysysdir}/stdenv.dump
	@echo "-------------------------------------------------------"
	@echo "Congratulations: the compilation was successful!"
	@echo ""
	@echo "Lush is designed to run from the compilation directory."
	@echo "Simply include" `pwd`"/bin in your shell search path,"
	@echo "or create a symlink to the executable" `pwd`"/bin/lush."
	@echo ""
	@echo "If you have root permissions, you can also perform a"
	@echo "system wide installation by typing 'make install'"
	@echo "-------------------------------------------------------"

${mybindir}/lush: all FORCE
	@test -d ${mybindir} || mkdir ${mybindir}
	@test -r ${mybindir}/lush~3 && \
	  ${MV} ${mybindir}/lush~3 ${mybindir}/lush~4 || true
	@test -r ${mybindir}/lush~2 && \
	  ${MV} ${mybindir}/lush~2 ${mybindir}/lush~3 || true
	@test -r ${mybindir}/lush~1 && \
	  ${MV} ${mybindir}/lush~1 ${mybindir}/lush~2 || true
	@test -r ${mybindir}/lush && \
          ${MV} ${mybindir}/lush ${mybindir}/lush~1 || true
	${INSTALL} -m 755 src/lush ${mybindir}

${mysysdir}/stdenv.dump: all ${mybindir}/lush FORCE
	${mybindir}/lush @sysenv stdenv -- ${mysysdir}/stdenv.dump

dump: ${mysysdir}/stdenv.dump 

cleanse: FORCE
	-for dir in `find . -type d -name 'C' -print -prune` ; \
	  do ${RM} -rf $$dir ; done 

all depend clean distclean: FORCE
	for d in ${SUBDIRS} ; \
	  do ( cd $$d && ${MAKE} $@ ) || exit ; done
	${MAKE} post-$@

post-all: FORCE
	@echo Compilation Done.

post-depend: FORCE
	@echo Done.

post-clean: cleanse FORCE
	-${RM} 2>/dev/null ${mysysdir}/stdenv.dump

post-distclean: post-clean FORCE
	-${RM} 2>/dev/null include/lushconf.h include/lushmake.h 
	-${RM} 2>/dev/null -rf autom4te.cache
	-${RM} 2>/dev/null -rf bin/lush bin/lush~[0-9]
	-${RM} 2>/dev/null Makefile config.log config.status

INSTALLDIRS =  etc include src sys lsh packages demos
FINDDIRS  = -type d -name C\* -prune -o -type d -print
FINDFILES = -type d -name C\* -prune -o -type f -print

install-sub: FORCE
	@echo "-- Installing executable"
	${INSTALL} -d ${DESTDIR}${bindir}
	${INSTALL} -m 755 src/lush ${DESTDIR}${bindir}
	@echo "-- Installing manpage"
	${INSTALL} -d ${DESTDIR}${mandir}/man1
	${INSTALL} ${srcdir}/debian/lush.1 ${DESTDIR}${mandir}/man1
	@echo "-- Creating data directories"
	${INSTALL} -d ${DESTDIR}${datadir}/lush
	cd ${srcdir} ;\
	for subdir in ${INSTALLDIRS} ; do \
	  for f in `find $$subdir ${FINDDIRS}` ; do \
	    ${INSTALL} -d  ${DESTDIR}${datadir}/lush/$$f ; done ; done
	@echo "-- Creating data files"
	cd ${srcdir} ;\
	for subdir in  ${INSTALLDIRS} ; do \
	  for f in `find $$subdir ${FINDFILES}` ; do \
	    ${INSTALL} ${srcdir}/$$f ${DESTDIR}${datadir}/lush/$$f ; done ; done

# The dump must be regenerated on the basis of the installed 
# lush files in order to get the time stamps right.
install-dump: FORCE
	${DESTDIR}${bindir}/lush @sysenv stdenv -- ${DESTDIR}${datadir}/lush/sys/stdenv.dump
	chmod 644  ${DESTDIR}${datadir}/lush/sys/stdenv.dump

install-nolink: install-sub install-dump
	@echo "-- Install done."

install: all install-sub install-dump
	@echo "-- Install done."

FORCE:

.PHONY: FORCE

=== src/Makefile ===
#;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
#;;;
#;;; LUSH Lisp Universal Shell
#;;;   Copyright (C) 2002 Leon Bottou, Yann Le Cun, AT&T Corp, NECI.
#;;; Includes parts of TL3:
#;;;   Copyright (C) 1987-1999 Leon Bottou and Neuristique.
#;;; Includes selected parts of SN3.2:
#;;;   Copyright (C) 1991-2001 AT&T Corp.
#;;;
#;;; This program is free software; you can redistribute it and/or modify
#;;; it under the terms of the GNU General Public License as published by
#;;; the Free Software Foundation; either version 2 of the License, or
#;;; (at your option) any later version.
#;;;
#;;; This program is distributed in the hope that it will be useful,
#;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
#;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#;;; GNU General Public License for more details.
#;;;
#;;; You should have received a copy of the GNU General Public License
#;;; along with this program; if not, write to the Free Software
#;;; Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA
#;;;
#;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

#;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
#;;; $Id: Makefile.in,v 1.22 2003/12/15 14:00:10 leonb Exp $
#;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


SHELL = /bin/sh

srcdir = .
top_srcdir = ..
top_builddir = ..

OPTS = -DNO_DEBUG -Wall -O3
DEFS = -DHAVE_CONFIG_H
LDFLAGS = 
LIBS = -lreadline -lcurses -Wl,-Bstatic -lbfd -liberty -Wl,-Bdynamic -lutil -ldl -lm
host = powerpc-unknown-linux-gnu
CPP = gcc -E
CPPFLAGS = 
CC = gcc
CC = gcc
GCC = yes
CFLAGS = 
CXX = g++
CXXFLAGS = -g -O2
F77 = 
FFLAGS = 
LDCC = g++
LDFLAGS = 
PTHREAD_FLAGS = -pthread
PTHREAD_LIBS = 
AR = /usr/bin/ar
MV = /bin/mv
CP = /bin/cp
RM = /bin/rm
LN_S = ln -s
TOUCH = /usr/bin/touch
RANLIB = ranlib
INSTALL = ${top_srcdir}/config/install-sh -c
X_LIBS = -L/usr/X11R6/lib  -lSM -lICE -lX11 
X_CFLAGS = -I/usr/X11R6/include
CC_PIC_FLAG = -fPIC
CC_EXP_FLAG = -Wl,-export-dynamic
MAKESO = g++ -shared -o
EXEEXT = 
OBJEXT = o
SOEXT = so

#;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

LUSH=lush

INCS=-I${top_srcdir}/include

OBJS1=allocate.o at.o binary.o calls.o arith.o check_func.o \
      classify.o date.o dump.o dz.o eval.o fileio.o \
      fltlib.o function.o event.o graphics.o htable.o \
      idx1.o idx2.o idx3.o idx4.o index.o io.o \
      dh.o lisp_c.o main.o module.o nan.o oostruct.o \
      ps_driver.o comdraw_driver.o \
      storage.o string.o symbol.o toplevel.o user.o

OBJS3=unix.o
OBJS2=x11_driver.o
#OBJS3=win32.o win_driver.o
OBJS4=dldbfd.o

LUSHFLAGS = ${DEFS} ${OPTS} ${INCS} ${PTHREAD_FLAGS} ${X_CFLAGS}
LUSHLIBS = ${X_LIBS} ${LIBS} ${PTHREAD_LIBS}
LUSHOBJS=${OBJS1} ${OBJS2} ${OBJS3} ${OBJS4}
LDCCFLAGS= ${LDFLAGS} ${LUSHFLAGS} ${CC_EXP_FLAG}

all: ${LUSH}

lush: ${LUSHOBJS}
	${LDCC} ${LDCCFLAGS} -o $@ ${LUSHOBJS} ${LUSHLIBS}

depend: FORCE
	-@test x${GCC} = xyes && ${MAKE} depend-gcc

depend-gcc: 
	@echo "Computing dependencies." 
	@echo '### DEPENDENCIES' > Makefile.dep
	@${CC} -MM ${CPPFLAGS} ${CFLAGS} ${INCS} ${DEFS} \
	   `echo ${LUSHOBJS} | sed -e 's:\.o:.c:g'` >> Makefile.dep
	@echo "Updating Makefile." ;\
	 ( sed -e '/^### DEPENDENCIES$$/,$$d' Makefile;\
	   cat  Makefile.dep ) > Makefile.new ;\
	 ${MV} Makefile.new Makefile
	@if test -w Makefile.in ; then echo "Updating Makefile.in." ;\
	 ( sed -e '/^### DEPENDENCIES$$/,$$d' Makefile.in;\
	   sed -e 's:/usr/include/[^ ]*::g' Makefile.dep ) > Makefile.new ;\
	 ${MV} Makefile.new Makefile.in ; fi ; true

clean: FORCE
	-${RM} 2>/dev/null Makefile.dep 
	-${RM} 2>/dev/null ${LUSH}
	-${RM} 2>/dev/null ${LUSHOBJS}

distclean: clean FORCE
	-${RM} 2>/dev/null Makefile

FORCE:

.PHONY: FORCE

.SUFFIXES: .c

.c.o:
	${CC} ${CPPFLAGS} ${CFLAGS} ${LUSHFLAGS} -c $<


### DEPENDENCIES
allocate.o: allocate.c ../include/header.h ../include/define.h \
  ../include/lushconf.h ../include/fltlib.h ../include/check_func.h
at.o: at.c ../include/header.h ../include/define.h ../include/lushconf.h \
  ../include/fltlib.h ../include/check_func.h
binary.o: binary.c ../include/header.h ../include/define.h \
  ../include/lushconf.h ../include/fltlib.h ../include/check_func.h
calls.o: calls.c ../include/header.h ../include/define.h \
  ../include/lushconf.h ../include/fltlib.h ../include/check_func.h
arith.o: arith.c ../include/header.h ../include/define.h \
  ../include/lushconf.h ../include/fltlib.h ../include/check_func.h
check_func.o: check_func.c ../include/header.h ../include/define.h \
  ../include/lushconf.h ../include/fltlib.h ../include/check_func.h \
  ../include/idxmac.h ../include/idxops.h ../include/dh.h
classify.o: classify.c ../include/header.h ../include/define.h \
  ../include/lushconf.h ../include/fltlib.h ../include/check_func.h
date.o: date.c ../include/header.h ../include/define.h \
  ../include/lushconf.h ../include/fltlib.h ../include/check_func.h
dump.o: dump.c ../include/header.h ../include/define.h \
  ../include/lushconf.h ../include/fltlib.h ../include/check_func.h
dz.o: dz.c ../include/header.h ../include/define.h ../include/lushconf.h \
  ../include/fltlib.h ../include/check_func.h
eval.o: eval.c ../include/header.h ../include/define.h \
  ../include/lushconf.h ../include/fltlib.h ../include/check_func.h
fileio.o: fileio.c ../include/lushconf.h ../include/header.h \
  ../include/define.h ../include/fltlib.h ../include/check_func.h
fltlib.o: fltlib.c ../include/header.h ../include/define.h \
  ../include/lushconf.h ../include/fltlib.h ../include/check_func.h
function.o: function.c ../include/header.h ../include/define.h \
  ../include/lushconf.h ../include/fltlib.h ../include/check_func.h
event.o: event.c ../include/header.h ../include/define.h \
  ../include/lushconf.h ../include/fltlib.h ../include/check_func.h \
  ../include/graphics.h
graphics.o: graphics.c ../include/header.h ../include/define.h \
  ../include/lushconf.h ../include/fltlib.h ../include/check_func.h \
  ../include/graphics.h
htable.o: htable.c ../include/header.h ../include/define.h \
  ../include/lushconf.h ../include/fltlib.h ../include/check_func.h
idx1.o: idx1.c ../include/header.h ../include/define.h \
  ../include/lushconf.h ../include/fltlib.h ../include/check_func.h \
  ../include/idxmac.h ../include/idxops.h ../include/idx.h
idx2.o: idx2.c ../include/header.h ../include/define.h \
  ../include/lushconf.h ../include/fltlib.h ../include/check_func.h \
  ../include/idxmac.h ../include/idxops.h ../include/idx.h
idx3.o: idx3.c ../include/header.h ../include/define.h \
  ../include/lushconf.h ../include/fltlib.h ../include/check_func.h \
  ../include/idxmac.h ../include/idxops.h ../include/idx.h
idx4.o: idx4.c ../include/header.h ../include/define.h \
  ../include/lushconf.h ../include/fltlib.h ../include/check_func.h \
  ../include/idxmac.h ../include/idxops.h ../include/idx.h
index.o: index.c ../include/header.h ../include/define.h \
  ../include/lushconf.h ../include/fltlib.h ../include/check_func.h
io.o: io.c ../include/header.h ../include/define.h ../include/lushconf.h \
  ../include/fltlib.h ../include/check_func.h
dh.o: dh.c ../include/header.h ../include/define.h ../include/lushconf.h \
  ../include/fltlib.h ../include/check_func.h ../include/dh.h \
  ../include/idxmac.h ../include/idxops.h
lisp_c.o: lisp_c.c ../include/header.h ../include/define.h \
  ../include/lushconf.h ../include/fltlib.h ../include/check_func.h \
  ../include/dh.h ../include/idxmac.h ../include/idxops.h \
  ../include/dldbfd.h
main.o: main.c ../include/header.h ../include/define.h \
  ../include/lushconf.h ../include/fltlib.h ../include/check_func.h
module.o: module.c ../include/header.h ../include/define.h \
  ../include/lushconf.h ../include/fltlib.h ../include/check_func.h \
  ../include/dh.h ../include/idxmac.h ../include/idxops.h \
  ../include/dldbfd.h
nan.o: nan.c ../include/header.h ../include/define.h \
  ../include/lushconf.h ../include/fltlib.h ../include/check_func.h
oostruct.o: oostruct.c ../include/header.h ../include/define.h \
  ../include/lushconf.h ../include/fltlib.h ../include/check_func.h \
  ../include/dh.h ../include/idxmac.h ../include/idxops.h
ps_driver.o: ps_driver.c ../include/header.h ../include/define.h \
  ../include/lushconf.h ../include/fltlib.h ../include/check_func.h \
  ../include/graphics.h
comdraw_driver.o: comdraw_driver.c ../include/header.h \
  ../include/define.h ../include/lushconf.h ../include/fltlib.h \
  ../include/check_func.h ../include/graphics.h
storage.o: storage.c ../include/header.h ../include/define.h \
  ../include/lushconf.h ../include/fltlib.h ../include/check_func.h
string.o: string.c ../include/header.h ../include/define.h \
  ../include/lushconf.h ../include/fltlib.h ../include/check_func.h
symbol.o: symbol.c ../include/header.h ../include/define.h \
  ../include/lushconf.h ../include/fltlib.h ../include/check_func.h
toplevel.o: toplevel.c ../include/header.h ../include/define.h \
  ../include/lushconf.h ../include/fltlib.h ../include/check_func.h
user.o: user.c ../include/header.h ../include/define.h \
  ../include/lushconf.h ../include/fltlib.h ../include/check_func.h
x11_driver.o: x11_driver.c ../include/lushconf.h ../include/header.h \
  ../include/define.h ../include/fltlib.h ../include/check_func.h \
  ../include/graphics.h
unix.o: unix.c ../include/lushconf.h ../include/header.h \
  ../include/define.h ../include/fltlib.h ../include/check_func.h \
  ../include/lushmake.h
dldbfd.o: dldbfd.c ../include/lushconf.h ../include/dldbfd.h

## lush 1.0+cvs.2004.05.13

=== debian/changelog ===
lush (1.0+cvs.2004.05.13) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 13 May 2004 23:23:09 -0600

lush (1.0+cvs.2004.04.02) unstable; urgency=low

  * New upstream, hopefully fix mips floating point exception

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri,  2 Apr 2004 09:29:53 -0700

lush (1.0+cvs.2004.03.06) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat,  6 Mar 2004 21:12:48 -0700

lush (1.0+cvs.2004.02.02) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon,  2 Feb 2004 18:38:08 -0700

lush (1.0+cvs.2004.01.26) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 26 Jan 2004 21:03:21 -0700

lush (1.0+cvs.2003.09.08) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon,  8 Sep 2003 20:38:16 -0600

lush (1.0+cvs.2003.07.15) unstable; urgency=low

  * New upstream with patch for mips

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 15 Jul 2003 15:15:50 -0600

lush (1.0+cvs.2003.07.14) unstable; urgency=low

  * New upstream with hppa/alpha arch workarounds (closes:193054)

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 14 Jul 2003 14:30:32 -0600

lush (1.0+cvs.2003.07.12.1) unstable; urgency=low

  * Compile with gcc-2.95 on hppa and alpha (closes:193054)

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 12 Jul 2003 18:14:12 -0600

lush (1.0+cvs.2003.07.12) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 12 Jul 2003 10:02:37 -0600

lush (1.0+cvs.2003.07.09) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed,  9 Jul 2003 11:56:16 -0600

lush (1.0+cvs.2003.06.23) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 24 Jun 2003 08:57:26 -0600

lush (1.0+cvs.2003.05.28) unstable; urgency=low

  * new upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 28 May 2003 17:10:17 -0600

lush (1.0+cvs.2003.05.27) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 20 May 2003 15:31:36 -0600

lush (1.0+cvs.2003.05.16) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 16 May 2003 23:25:55 -0600

lush (1.0+cvs.2003.05.09.1) unstable; urgency=low

  * Avoid use of dh_strip for lush (closes:192591)

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri,  9 May 2003 04:42:40 -0600

lush (1.0+cvs.2003.05.09) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri,  9 May 2003 01:52:15 -0600

lush (1.0+cvs.2003.04.28) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 28 Apr 2003 15:36:08 -0600

lush (1.0+cvs.2003.03.11) unstable; urgency=low

  * New upstream
  * Update standards version (no changes required)

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 11 Mar 2003 23:34:09 -0700

lush (1.0+cvs.2003.02.14) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 14 Feb 2003 09:26:42 -0700

lush (1.0+cvs.2003.02.02.6) unstable; urgency=low

  * New upstream
  * New compilation sequence

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu,  6 Feb 2003 13:35:50 -0700

lush (1.0+cvs.2003.02.02.1) unstable; urgency=low

  * Build with static libbfd, remove binutils dependency (Thanks James Troup)

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun,  2 Feb 2003 20:07:02 -0700

lush (1.0+cvs.2003.02.02) unstable; urgency=low

  * Change binutils dependency (closes: 179534)

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun,  2 Feb 2003 17:42:02 -0700

lush (1.0+cvs.2003.01.31) unstable; urgency=low

  * New upstream
  * Add versioned library depends (closes: 178715)

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 28 Jan 2003 09:21:17 -0700

lush (1.0+cvs.2003.01.19) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 19 Jan 2003 04:18:15 -0700

lush (1.0+cvs.2003.01.14) unstable; urgency=low

  * New upstream, version 1.0!
  * Build with gcc-3.2

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 11 Jan 2003 15:08:57 -0700

lush (0.95+cvs.2002.12.17) unstable; urgency=low

  * New upstream version

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 17 Dec 2002 22:32:02 -0700

lush (0.1.1.2.cvs.2002.11.06) unstable; urgency=low

  * New CVS snapshot

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed,  6 Nov 2002 21:09:33 -0700

lush (0.1.1.2.cvs.2002.10.28) unstable; urgency=low

  * New CVS snapshot
  * Split rules file into arch & indep binaries

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 28 Oct 2002 13:00:58 -0700

lush (0.1.1.2.cvs.2002.10.12) unstable; urgency=low

  * Update config.guess (closes: 164529)

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 12 Oct 2002 21:39:43 -0600

lush (0.1.1.2.cvs.2002.10.11) unstable; urgency=low

  * New upstream version

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 11 Oct 2002 20:49:54 -0600

lush (0.1.1.2.cvs.2002.09.25) unstable; urgency=low

  * New upstream version.
  * Remove executable flag from non-executable files

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 25 Sep 2002 10:17:10 -0600

lush (0.1.1.2.cvs.2002.09.18) unstable; urgency=low

  * New upstream version (adds more online help)

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 18 Sep 2002 21:51:17 -0600

lush (0.1.1.2.cvs.2002.09.07) unstable; urgency=low

  * Move lush library files into lush-library binary package

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri,  6 Sep 2002 21:35:43 -0600

lush (0.1.1.2.cvs.2002.09.06) unstable; urgency=low

  * New upstream version

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu,  5 Sep 2002 17:31:15 -0600

lush (0.1.1.2.cvs.2002.08.31) unstable; urgency=low

  * New upstream version.
  
 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 31 Aug 2002 15:41:44 -0600

lush (0.1.1.2.cvs.2002.08.27) unstable; urgency=low

   * New upstream version, adds more library functions.
   * Add packages directory from upstream
  


=== debian/control ===
Source: lush
Section: devel
Priority: extra
Maintainer: Kevin M. Rosenberg <kmr@debian.org>
Build-Depends: debhelper (>= 4.0.0), binutils-dev, xlibs-dev
Standards-Version: 3.6.1.0

Package: lush
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, lush-library
Description: Lisp Universal Shell Executable
 Lush is a programming language and environment that is based on the
 Lisp programming language. The lush language is small compared to ANSI
 Common Lisp and is optimized for numeric calculations. Lush includes
 a libraries for numerical analysis and building graphical user interfaces.
 .
 This package contains the binary executable.

Package: lush-library
Architecture: all
Depends: lush
Description: Lisp Universal Shell Library
 These are the libraries for the lush package.
 .
 Lush is a programming language and environment that is based on the
 Lisp programming language. The lush language is small compared to ANSI
 Common Lisp and is optimized for numeric calculations. Lush includes
 a libraries for numerical analysis and building graphical user interfaces.

## lush 1.0+cvs.2004.05.16

=== debian/changelog ===
lush (1.0+cvs.2004.05.16) unstable; urgency=low

  * QA Upload.
  * Add amd64 to the list of supported architectures.  (Closes: #265426)

 -- Thomas Bushnell, BSG <tb@debian.org>  Fri, 13 Aug 2004 01:15:07 -0700

lush (1.0+cvs.2004.05.15) unstable; urgency=low

  * QA Upload.
  * Provide explicit list of architectures supported, excluded ia64.
  See bug 243501.

 -- Thomas Bushnell, BSG <tb@debian.org>  Wed, 11 Aug 2004 13:28:06 -0700

lush (1.0+cvs.2004.05.14) unstable; urgency=low

  * New upstream
  * Orphan as in bug #250414

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 12 Jul 2004 19:02:17 -0600

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: lush
 Section: devel
 Priority: extra
-Maintainer: Kevin M. Rosenberg <kmr@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 4.0.0), binutils-dev, xlibs-dev
-Standards-Version: 3.6.1.0
+Standards-Version: 3.6.1.1
 
 Package: lush
-Architecture: any
+Architecture: alpha amd64 arm hppa i386 m68k mips mipsel powerpc s390 sparc
 Depends: ${misc:Depends}, ${shlibs:Depends}, lush-library
 Description: Lisp Universal Shell Executable
  Lush is a programming language and environment that is based on the

## lush 1.2.1

=== debian/changelog ===
lush (1.2.1-9+cvs20110227build1) oneiric; urgency=low

  * gfortran-4.6 rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 11 Sep 2011 11:21:08 +0000

lush (1.2.1-9+cvs20110227) unstable; urgency=low

  * Upload to unstable
  * Fresh upstream CVS snapshot -- few fixes
  * Added  04-ld-no-add-needed patch to add -lfontconfig.
    Report and patch from Matthias Klose (Thanks!) (Closes: #608692)
  * Provide --with-cpu on i386 to overwrite mmx and sse assumptions
    (once again - thanks Matthias Klose!)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 27 Feb 2011 09:15:19 -0500

lush (1.2.1-8+cvs20101229) experimental; urgency=low

  * Fresh upstream CVS snapshot -- might be the last one in lush 1.x
    series:
    - supports Renesas SH(sh4) (Closes: #574258). Thanks Nobuhiro Iwamatsu
      for the patch
  * debian/copyright: switched to DEP5 format
  * debian/compat,control: dh compat version 7
  * debian/control:
    - Policy boost to 3.9.1 (no changes seems to be due)
  * debian/patches,source,control: switch to 3.0 (quilt) source format
    from dpatch
  * debian/rules,...: simplifying to take advantage of dh7

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 29 Dec 2010 14:47:07 -0500

lush (1.2.1-7+cvs20080204) unstable; urgency=medium

  * Fixed paths cvs20080204 so fresh versions of dpatch behave nicely
    (Closes: #608218). Thanks Jakub Wilk for reporting and Hideki Yamane
    for providing the fix
  * Added Vcs fields for easy debcheckout.  They point to freshly
    (re)initialized (using git-import-dscs --debsnapt) GIT repository
  * Added ${misc:Depends} to lush-library Depends (per lintian
    recommendations)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 29 Dec 2010 11:45:37 -0500

lush (1.2.1-6+cvs20080204) unstable; urgency=low

  * Fresh CVS snapshot.
  * g77 -> gfortran, lapack3-dev -> liblapack-dev transition (Closes: #463966).
    Thanks Kumar Appaiah.
  * Homepage migrated into header field.
  * Changing versioing scheme to include CVS snapshot date into debian
    revision after + (instead of . which is used for NMUs)
  * Boosted standards to 3.7.3:
   - ${source:Version} instead of ${Source-Version}

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 04 Feb 2008 23:27:34 -0500

lush (1.2.1-5.cvs20070918) unstable; urgency=low

  * Semi-automated introduction of CVS snapshots to benefit having up-to-date
    LUSH before next release.

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 18 Sep 2007 01:28:20 -0400

lush (1.2.1-4) unstable; urgency=low

  * New maintainer. (Closes: #402989: ITA: lush -- Lisp Universal Shell
    Executable - Debian Bug report logs)
  * Moved copying of config.{sub,guess} under rule autotools, which has to be
    manually invoked to provide deterministic update of those files and to
    don't freak out svn-buildpackage. TODO: Need to clarify since that
    statement was added by dh_make
  * Tiny adjustment of debian/copyright file
  * Added homepage to the description in debian/control
  * Multiple changes within debian/rules
  * Added proper Build-Depends, which includes libxt-dev and others necessary
    to build lush so it could run demos (Closes: #336570)
  * Added development packages for on-fly-compilation done by lush into
    Recommends and Suggests, depending on how common they are. libcv-dev was
    added to Suggests (Closes: #312081)
  * Ship and properly enable lush.el along with lush-library package to
    enable lush command within emacs
  * Mentioned demos in README.Debian
  * Adjusted paths in the manpage patch
  * More things to do in future. But enough for current upload I hope

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun,  7 Jan 2007 14:03:44 -0500

lush (1.2.1-3) unstable; urgency=medium

  * QA upload.
  * src/dldbfd.c: Fix another `invalid lvalue in assignment'.
    Closes: #393084.

 -- Matej Vela <vela@debian.org>  Thu, 14 Dec 2006 12:45:12 +0100

lush (1.2.1-2) unstable; urgency=low

  * Orphaned package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 14 Dec 2006 00:41:00 +0100

lush (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * Dropping 04-ftbfs.dpatch, went upstream.

 -- Daniel Baumann <daniel@debian.org>  Tue, 21 Nov 2006 15:12:00 +0100

lush (1.2-2) unstable; urgency=low

  * Corrected accidently mistake in rules wrt/ the -a/-i in
    build-arch/build-indep targets.
  * Downgrading lush-library depends on lush to recommends (Closes: #387672).

 -- Daniel Baumann <daniel@debian.org>  Tue, 19 Sep 2006 03:05:00 +0200

lush (1.2-1) unstable; urgency=low

  * New email address.
  * New upstrem release (Closes: #386420).
  * Removing 03-gcc4-amd64.dpatch, went upstream.
  * Added lintian overrides.

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Sep 2006 10:29:00 +0200

lush (1.1-5) unstable; urgency=low

  * Added patch to fix FTBFS, thanks Matej (Closes: #367872).

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Mon,  5 Jun 2006 10:52:00 +0200

lush (1.1-4) unstable; urgency=low

  * Removed patch for kfreebsd-i386, its obsolete since kfreebsd has SIGPOLL.
  * Set Architecture back to any, will ask the ia64 buildd admin to add it to
    p-a-s.

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Thu, 26 Jan 2006 20:32:00 +0100

lush (1.1-3) unstable; urgency=low

  * Added patch to fix FTBS on kfreebsd-i386 (Closes: #345266).

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Fri, 30 Dec 2005 14:29:00 +0100

lush (1.1-2) unstable; urgency=low

  * Added patch to fix FTBFS on mips and mipsel (Closes: #336086).
  * Rewritten debian/rules.
  * Using dpatch for maintaining patches.
  * Reformated debian/lush.1.
  * Minor formal changes.

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Wed, 14 Dec 2005 13:43:00 +0100

lush (1.1-1) unstable; urgency=low

  * New upstream release:
    - no longer need to ship unstripped binaries (Closes: #315973).
  * added ppc64 to the list of architectures (Closes: #304516).
  * bumped policy to 3.6.2.



=== debian/control ===
Source: lush
Section: devel
Priority: extra
Maintainer: Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, binutils-dev, libxt-dev, libxft-dev, gfortran, indent, pkg-config, libncurses-dev, libreadline-dev, libgsl0-dev, liblapack-dev, libgl1-mesa-dev | libgl-dev, libsdl-dev, libcv-dev, libasound2-dev, libaudiofile-dev
Standards-Version: 3.9.1
Homepage: http://lush.sourceforge.net/
Vcs-Browser: http://git.onerussian.com/?p=deb/lush.git
Vcs-git: git://git.onerussian.com/deb/lush.git


Package: lush
Architecture: any
Depends: lush-library (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: indent, libxt-dev, libxft-dev, libgsl0-dev, liblapack-dev, freeglut3-dev, libsdl-dev, libsdl-image1.2-dev
Suggests: gfortran, libgl1-mesa-dev, libcv-dev, libasound2-dev, libaudiofile-dev
Description: Lisp Universal Shell Executable
 Lush is a programming language and environment that is based on the Lisp
 programming language. The lush language is small compared to ANSI Common Lisp
 and is optimized for numeric calculations. Lush includes a libraries for
 numerical analysis and building graphical user interfaces.
 .
 This package contains the binary executable.

Package: lush-library
Architecture: all
Depends: python, ${misc:Depends}
Conflicts: lush (<< 1.2.1-8+cvs20101229~)
Recommends: lush (>= ${source:Version})
Description: Lisp Universal Shell Library
 Lush is a programming language and environment that is based on the Lisp
 programming language. The lush language is small compared to ANSI Common Lisp
 and is optimized for numeric calculations. Lush includes a libraries for
 numerical analysis and building graphical user interfaces.
 .
 This package contains architecture intependent libraries for the lush
 package.

=== debian/rules ===
#!/usr/bin/make -f

# This has to be exported to make some magic below work.
export DH_OPTIONS

# To fetch upstream CVS snapshot -- relative path to it
# from the root of packaging project
CVS_ROOT_PATH=lush-cvs
CVS_TIMESTAMP=$(shell date +"20%y%m%d")

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
ifeq ($(DEB_HOST_ARCH),i386)
  CONFIG_ARGS += --with-cpu=$(DEB_HOST_GNU_CPU)
endif

# Mega rule
%:
	dh $@ --with autotools_dev

get-cvs-snapshot:
	#cd ../$(CVS_ROOT_PATH) && cvs update
	cd .. && \
	 diff -x config.sub -x config.guess -x .svn -x CVS -x .git -x debian -Naur lush $(CVS_ROOT_PATH) | \
	 dpatch patch-template -p "cvs$(CVS_TIMESTAMP)" "Dated CVS snapshot" >| lush/debian/patches/cvs$(CVS_TIMESTAMP) && \
	 { echo "cvs$(CVS_TIMESTAMP)"; grep -v '^cvs[0-9]*' lush/debian/patches/series; } >| patches.new && \
	 mv patches.new lush/debian/patches/series

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIG_ARGS)

override_dh_install:
	dh_install

	# Additional doc file
	install -D -m 0644 doc/README debian/lush/usr/share/doc/lush/README.doc

	# For binary-arch only there would be no lush-library
	# Moving emacs script to proper location
	[ -d debian/lush-library ] && \
		mv debian/lush-library/usr/share/lush/etc/lush.el \
		   debian/lush-library/usr/share/emacs/site-lisp/lush/ || :

	# Removing double files or ones installed via other means
	rm -f debian/lush-library/usr/share/lush/src/lush \
		  debian/lush-library/usr/share/lush/etc/lush.1 \
		  debian/lush-library/usr/share/lush/etc/README*; \

	rm -rf debian/lush-library/usr/share/man

	# Cleaning up
	-find debian/lush*/usr -name "*.o" -delete

dh_fixperms_indep:
	# Fixing permissions
	find debian/lush-library/usr/share -type f -exec chmod 0644 {} \;
	grep -l '^#!' debian/lush-library/usr/share/lush/etc/* | xargs chmod a+x
	find debian/lush-library/usr/share/lush -name "*.py" -exec chmod 0755 {} \;
	find debian/lush-library/usr/share/lush -name "demo*" -exec chmod 0755 {} \;
	chmod 0755 debian/lush-library/usr/share/lush/packages/sn28/examples/tsp/tsp
	chmod 0755 debian/lush-library/usr/share/lush/demos/*
	chmod 0644 debian/lush-library/usr/share/lush/demos/README
	chmod 0644 debian/lush-library/usr/share/lush/demos/*.lsh

override_dh_fixperms:
	[ -d debian/lush-library ] && $(MAKE) -f debian/rules dh_fixperms_indep || :
	dh_fixperms
